aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/coreutils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/coreutils.sh')
-rw-r--r--chapter8/coreutils.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/chapter8/coreutils.sh b/chapter8/coreutils.sh
index 7909f26..f024bc8 100644
--- a/chapter8/coreutils.sh
+++ b/chapter8/coreutils.sh
@@ -1,7 +1,13 @@
#!/bin/bash
+set -e
patch -Np1 -i ../coreutils-"${VERSION}"-i18n-1.patch &&
+if [[ "$(uname -m)" = aarch64 ]]; then
+ patch -Np1 -i ../coreutils-"${VERSION}"-aarch64_fixes-1.patch
+fi
+
+
sed -i '/test.lock/s/^/#/' gnulib-tests/gnulib.mk &&
autoreconf -fiv &&